Package com.oracle.truffle.object

## Class ObjectStorageOptions

- java.lang.Object
- - com.oracle.truffle.object.ObjectStorageOptions

    public class ObjectStorageOptions
    extends java.lang.Object

### Field Summary

Fields
`static boolean` `BooleanLocations`
`static boolean` `DoubleLocations`
`static boolean` `DumpShapes`
`static boolean` `InObjectFields` Allocation of in-object fields.
`static boolean` `IntegerLocations`
`static boolean` `LongLocations`
`static boolean` `PrimitiveLocations` Primitive location switch.
`static boolean` `Profile`
`static int` `ProfileTopResults`
`static boolean` `TraceReshape`
`static boolean` `TypedObjectLocations`

### Constructor Summary

Constructors
`ObjectStorageOptions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `booleanOption​(java.lang.String name, boolean defaultValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PrimitiveLocations

    public static boolean PrimitiveLocations

Primitive location switch.

#### IntegerLocations

    public static boolean IntegerLocations

#### DoubleLocations

    public static boolean DoubleLocations

#### LongLocations

    public static boolean LongLocations

#### BooleanLocations

    public static boolean BooleanLocations

#### TypedObjectLocations

    public static boolean TypedObjectLocations

#### InObjectFields

    public static boolean InObjectFields

Allocation of in-object fields.

#### TraceReshape

    public static final boolean TraceReshape

#### DumpShapes

    public static final boolean DumpShapes

#### Profile

    public static final boolean Profile

#### ProfileTopResults

    public static final int ProfileTopResults

### Constructor Detail

#### ObjectStorageOptions

    public ObjectStorageOptions()

### Method Detail

#### booleanOption

    public static boolean booleanOption​(java.lang.String name,
                                        boolean defaultValue)